### Method

# Gtk Widget compute_point

#### Declaration [src]

    gboolean
    gtk_widget_compute_point (
      GtkWidget* widget,
      GtkWidget* target,
      const graphene_point_t* point,
      graphene_point_t* out_point
    )

#### Description [src]

Translates the given `point` in `widget`‘s coordinates to coordinates in `target`’s coordinate system.

In order to perform this operation, both widgets must share a a common ancestor. If that is not the case, `out_point` is set to (0, 0) and false is returned.

#### Parameters

`target`

  Type: `GtkWidget`

  The widget to transform into.

  The data is owned by the caller of the method.

`point`

  Type: `graphene_point_t`

  A point in `widget`‘s coordinate system.

  The data is owned by the caller of the method.

`out_point`

  Type: `graphene_point_t`

  Set to the corresponding coordinates in `target`‘s coordinate system.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

True if `src_widget` and `dest_widget` have a common ancestor, false otherwise.